Bug 119112 - [EPUB] SVG images are rendered duplicated
Summary: [EPUB] SVG images are rendered duplicated
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.2 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: EPUB-Export
  Show dependency treegraph
 
Reported: 2018-08-05 15:00 UTC by Olivier Hallot
Modified: 2019-09-28 03:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Source file for EPUB export with issue (29.33 KB, application/vnd.oasis.opendocument.text)
2018-08-05 15:00 UTC, Olivier Hallot
Details
Resulto of EPUB export, with dup image (11.39 KB, application/epub+zip)
2018-08-05 15:01 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-08-05 15:00:38 UTC
Created attachment 143983 [details]
Source file for EPUB export with issue

SVG Images are duplicated in EPUB export

Step to reproduce:

1) Add SVG image in the document
2) add caption, or not
3) export to EPUB

Expected result: Image exported with caption

Actual results: Exported image are duplicated.

The attached ODT document shows the issue. Export to EPUB and open in Calibre.
Comment 1 Olivier Hallot 2018-08-05 15:01:31 UTC
Created attachment 143984 [details]
Resulto of EPUB export, with dup image
Comment 2 Roman Kuznetsov 2018-08-06 19:12:49 UTC
confirmed in

Version: 6.1.0.2
Build ID: b3972dcf1284967612d5ee04fea9d15bcf0cc106
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded
Comment 3 Ysabeau 2018-09-27 08:20:05 UTC
Confirmed in 

Version: 6.1.1.2
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
Threads CPU : 4; OS : Linux 4.14; UI Render : par défaut; VCL: kde4;
Locale : fr-FR (fr_FR.UTF-8); Calc: group threaded
Comment 4 ribotb 2018-09-27 12:03:13 UTC
Confirmed with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: efd316b6171b9e1827c5e34ddb12658f48268e24
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2018-09-05_11:26:52
Locale: fr-FR (fr_FR); Calc: threaded

Bernard
Comment 5 QA Administrators 2019-09-28 03:04:43 UTC
Dear Olivier Hallot,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug